﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.IO;
using System.Text.RegularExpressions;

namespace CSScontrol
{
	public class CSSCompressor : Stream
	{
		private Stream stream;

		public CSSCompressor(Stream stream)
		{
			this.stream = stream;
		}

		public override void Flush()
		{
		}

		public override int Read(byte[] buffer, int offset, int count)
		{
			return stream.Read(buffer, offset, count);
		}

		public override void Write(byte[] buffer, int offset, int count)
		{
			string html = System.Text.UTF8Encoding.UTF8.GetString(buffer).Replace("  "," ");

			var repl = new Dictionary<string, string> { { "\r\n", String.Empty }, { "  ", " " }, { "{ ", "{" }, { " }", "}" }, { ";}", "}" }, { ": ", ":" }, { ", ", "," }, { "; ", ";" } };
			html = repl.Aggregate(html, (s, r) => s.Replace(r.Key, r.Value));

			html = Regex.Replace(html, @"/\*(.|\\s)*?\*/", string.Empty);
			buffer = System.Text.UTF8Encoding.UTF8.GetBytes(html);
			stream.Write(buffer, offset, count);
		}

		public override bool CanRead
		{
			get { throw new NotImplementedException(); }
		}

		public override bool CanSeek
		{
			get { throw new NotImplementedException(); }
		}

		public override bool CanWrite
		{
			get { throw new NotImplementedException(); }
		}

		public override long Length
		{
			get { throw new NotImplementedException(); }
		}

		public override long Position
		{
			get
			{
				throw new NotImplementedException();
			}
			set
			{
				throw new NotImplementedException();
			}
		}

		public override long Seek(long offset, SeekOrigin origin)
		{
			throw new NotImplementedException();
		}

		public override void SetLength(long value)
		{
			throw new NotImplementedException();
		}
	}
}
